9

Loading failed for the with source “/pub/static/adminhtml/Magento/backend/en_GB/tinymce.js”.

enter image description here

8
  • Have deleted the pub/static and redeployed ? Dec 7, 2018 at 13:32
  • Yes. But not works that. Dec 10, 2018 at 5:45
  • Facing the same issue here on cms page edit. Dec 20, 2018 at 9:34
  • 1
    I figured out that the tinymce was overwritten in one of my custom module. I disabled those modules and it works fine now. Hope this helps. Dec 20, 2018 at 10:10
  • This comes in the admin side. How you was got that module? Dec 20, 2018 at 11:56

2 Answers 2

7

search for text 'tinymce' in your web magento directory

2.3 not use tinymce anymore so somewhere in your web still use tinymce so you get this problem because magento can't find define tinymce

I think new version using 'tinymce4' or 'tinymceDeprecated'

the right way in magento 2.3.1 for use tinymce

define(['wysiwygAdapter'], function(wysiwyg){
   // Your code here
});
2
  • i have been facing the same issue in M2.3.1 upgraded from m2.2.3 CE could u please advise? Apr 24, 2019 at 5:42
  • you can search in all your custom modules have use require 'tinymce'. This cause your problem. Because every module before 2.3 still use this require and when you update to 2.3.1 magento can't find this package anymore
    – mrtuvn
    Apr 24, 2019 at 6:54
0

If you're working on Magento 2.3.* Try this:

composer require pavelleonidov/module-tinymce4
php bin/magento setup:upgrade && php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy 

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.